> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# بيانات الأخبار المحذوفة



## OpenAPI

````yaml ar/openapi/news-api.spec.yml GET /api/v2/news-removed
openapi: 3.0.0
info:
  contact: {}
  description: مصادقة Bearer باستخدام رمز الوصول
  title: Newsfeed & Why is it Moving v2
  version: 2.0.0
servers:
  - url: //api.benzinga.com/api/v2
security: []
paths:
  /api/v2/news-removed:
    get:
      tags:
        - News
      summary: تُرجِع بيانات الأخبار المحذوفة
      description: >-
        تُرجِع بيانات الأخبار المحذوفة. وتُصفّي النتائج بحيث تشمل فقط العناصر
        التي تم تحديثها منذ الطابع الزمني المحدد.
      operationId: get-removed-news
      parameters:
        - description: يحدّد تنسيق الإرجاع
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والجوانب التقنية، تقتصر
            إزاحات الصفحات على النطاق من 0 إلى 100000. قيّد نتائج الاستعلام
            باستخدام معلمات أخرى مثل التاريخ.
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُعادة. الحد الأقصى 100.
          in: query
          name: pageSize
          schema:
            type: integer
            maximum: 100
            default: 15
        - description: >-
            تُصفّي النتائج لتشمل فقط العناصر التي تم تحديثها منذ طابع زمني Unix
            المحدد (UTC)
          in: query
          name: updatedSince
          schema:
            type: integer
      responses:
        '200':
          description: نجاح
          content:
            application/json:
              schema:
                additionalProperties:
                  items:
                    $ref: '#/components/schemas/api.NewsRemovedItem'
                  type: array
                type: object
        '400':
          description: معلمات الاستعلام غير صالحة أو مفقودة
          content:
            application/json:
              schema:
                type: string
        '499':
          description: تم إلغاء سياق الطلب
          content:
            application/json:
              schema:
                type: string
        '500':
          description: خطأ داخلي
          content:
            application/json:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.NewsRemovedItem:
      description: خبر محذوف يتضمن المعرّف والطابع الزمني للتحديث
      properties:
        id:
          example: 123456
          type: integer
        updated:
          example: Wed, 17 May 2017 14:20:15 -0400
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        مصادقة مفتاح واجهة برمجة التطبيقات API. قدّم مفتاح API الخاص بك كمعلمة
        استعلام.
      in: query
      name: token
      type: apiKey

````